package br.usp.ime.mac0331.sgc.drawable;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import br.usp.ime.mac0331.sgc.GeometriaShape;

public class Figure {
	private List<GeometriaShape> shapes;

	public Figure(List<GeometriaShape> shapes) {
		this.shapes = shapes;
		Collections.sort(this.shapes);
	}

	public Figure(GeometriaShape... shape) {
		this.shapes = new ArrayList<GeometriaShape>(Arrays.asList(shape));
	}

	public List<GeometriaShape> getShapes() {
		return shapes;
	}
}
