package br.usp.ime.mac0331.sgc.drawable;

import java.awt.geom.Line2D;

import br.usp.ime.mac0331.sgc.GeometriaShape;
import br.usp.ime.mac0331.sgc.GeometriaShape.DrawScheme;

public class Line implements Drawable {

	private Point p1;

	private Point p2;

	public Line(Point p1, Point p2) {
		super();
		this.p1 = p1;
		this.p2 = p2;

	}

	public Figure toFigure() {
		Line2D.Double line = new Line2D.Double(this.p1.getX(), this.p1.getY(),
				this.p2.getX(), this.p2.getY());
		return new Figure(new GeometriaShape(line, DrawScheme.LINE));
	}

}
