package br.usp.ime.mac0331.sgc.drawable;

import java.awt.geom.Ellipse2D;

import br.usp.ime.mac0331.sgc.GeometriaShape;
import br.usp.ime.mac0331.sgc.GeometriaShape.DrawScheme;

public class Point implements Drawable {
	private static final double d = 2.0;

	private double x;

	private double y;

	public Point(double x, double y) {
		super();
		this.x = x;
		this.y = y;
	}

	public Figure toFigure() {
		Ellipse2D.Double point = new Ellipse2D.Double(this.x - Point.d, this.y
				- Point.d, Point.d * 2, Point.d * 2);
		return new Figure(new GeometriaShape(point, DrawScheme.POINT));
	}

	public double getX() {
		return this.x;
	}

	public double getY() {
		return this.y;
	}
}
